package com.caimei.model.vo;

import lombok.Data;

import java.sql.Date;

@Data
public class RossChallengeVideo {

    private Integer id;
    /**
     * 机构id
     */
    private Integer authId;
    /**
     * 供应商id
     */
    private Integer authUserId;
    /**
     * 用户登录账号
     */
    private String userName;
    /**
     * 视频描述
     */
    private String title;
    /**
     * 视频oss名称
     */
    private String ossName;
    /**
     * 视频oss地址
     */
    private String ossUrl;
    /**
     * 视频封面
     */
    private String cover;
    /**
     * 视频发布时间
     */
    private Date releaseTime;
    /**
     * 点赞数量
     */
    private Integer diggCount;
    /**
     * 视频链接
     */
    private String linked;
    /**
     *
     */
    private String clubUserIds;
    /**
     * 机构名称
     */
    private String authParty;
    /**
     * 是否点赞（0，未点赞；1已点赞）
     */
    private Integer diggStatus;

    /**
     * 用户id
     */
    private Integer clubUserId;
}
